Обход ограничений безопасности в опции SSLVerifyClient в mod_ssl

Дата публикации:
06.09.2005
Всего просмотров:
2451
Опасность:
Средняя
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: mod_ssl версии до 2.8.24

Описание:
Уязвимость позволяет удаленному пользователю получить неавторизованный доступ к данным.

Уязвимость существует в реализации аутентификации, основанной на сертификатах. Если значение опции SSLVerifyClient установлено в optional в глобальной конфигурации виртуального хоста, злоумышленник может обойти процесс аутентификации и получить неавторизованный доступ к ресурсам web сайта.

URL производителей: modssl.org

Решение: Установите последнюю версию с сайта производителя.
www.modssl.org/source/mod_ssl-2.8.24-1.3.33.tar.gz

Ссылки: mod_ssl "SSLVerifyClient" Security Bypass Security Issue

или введите имя

CAPTCHA